# volume attachment

Block Storage v3

## volume attachment complete

Complete an attachment for a volume.

    openstack volume attachment complete <attachment>

attachment

  ID of volume attachment to mark as completed

## volume attachment create

Create an attachment for a volume.

This command will only create a volume attachment in the Volume service. It will not invoke the necessary Compute service actions to actually attach the volume to the server at the hypervisor level. As a result, it should typically only be used for troubleshooting issues with an existing server in combination with other tooling. For all other use cases, the ‘server add volume’ command should be preferred.

    openstack volume attachment create
        [--connect]
        [--no-connect]
        [--initiator <initiator>]
        [--ip <ip>]
        [--host <host>]
        [--platform <platform>]
        [--os-type <ostype>]
        [--multipath]
        [--no-multipath]
        [--mountpoint <mountpoint>]
        [--mode <mode>]
        <volume>
        <server>

--connect

  Make an active connection using provided connector info

--no-connect

  Do not make an active connection using provided connector info

--initiator <initiator>

  IQN of the initiator attaching to

--ip <ip>

  IP of the system attaching to

--host <host>

  Name of the host attaching to

--platform <platform>

  Platform type

--os-type <ostype>

  OS type

--multipath

  Use multipath

--no-multipath

  Use multipath

--mountpoint <mountpoint>

  Mountpoint volume will be attached at

--mode <mode>

  Mode of volume attachment, rw, ro and null, where null indicates we want to honor any existing admin-metadata settings (supported by –os-volume-api-version 3.54 or later)

volume

  Name or ID of volume to attach to server.

server

  Name or ID of server to attach volume to.

## volume attachment delete

Delete an attachment for a volume.

Similarly to the ‘volume attachment create’ command, this command will only delete the volume attachment record in the Volume service. It will not invoke the necessary Compute service actions to actually attach the volume to the server at the hypervisor level. As a result, it should typically only be used for troubleshooting issues with an existing server in combination with other tooling. For all other use cases, the ‘server volume remove’ command should be preferred.

    openstack volume attachment delete <attachment>

attachment

  ID of volume attachment to delete

## volume attachment list

Lists all volume attachments.

    openstack volume attachment list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--project <project>]
        [--project-domain <project-domain>]
        [--all-projects]
        [--volume-id <volume-id>]
        [--status <status>]
        [--limit <limit>]
        [--marker <marker>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Filter results by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--all-projects

  Shows details for all projects (admin only).

--volume-id <volume-id>

  Filters results by a volume ID. This option is deprecated. Consider using the ‘–filters’ option which was introduced in microversion 3.33 instead.

--status <status>

  Filters results by a status. This option is deprecated. Consider using the ‘–filters’ option which was introduced in microversion 3.33 instead.

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

## volume attachment set

Update an attachment for a volume.

This call is designed to be more of an volume attachment completion than anything else. It expects the value of a connector object to notify the driver that the volume is going to be connected and where it’s being connected to.

    openstack volume attachment set
        [--initiator <initiator>]
        [--ip <ip>]
        [--host <host>]
        [--platform <platform>]
        [--os-type <ostype>]
        [--multipath]
        [--no-multipath]
        [--mountpoint <mountpoint>]
        <attachment>

--initiator <initiator>

  IQN of the initiator attaching to

--ip <ip>

  IP of the system attaching to

--host <host>

  Name of the host attaching to

--platform <platform>

  Platform type

--os-type <ostype>

  OS type

--multipath

  Use multipath

--no-multipath

  Use multipath

--mountpoint <mountpoint>

  Mountpoint volume will be attached at

attachment

  ID of volume attachment.

## volume attachment show

Show detailed information for a volume attachment.

    openstack volume attachment show <attachment>

attachment

  ID of volume attachment.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.